(ns wanijo-pipeline.ui-selection
  (:require
   [hiccup.core :as h]
   [lambdaui.core :as lambdaui]
   [lambdacd.ui.core :as reference-ui]
   [compojure.core :refer [routes GET context]])
  (:gen-class))

(defn- ui-selection []
  (h/html
   [:html
    [:head
     [:title "LambdaCD - UI Selection"]]
    [:body
     [:h1 "LambdaCD - UI Selection"]
     [:ul
      [:li [:a {:href "./wanijo/lambdaui/index.html"} "Wanijo"]]
      [:li [:a {:href "./formulare/lambdaui/index.html"} "Formulare"]]
      [:li [:a {:href "./wedder/lambdaui/index.html"} "Wedder"]]
      [:li [:a {:href "./joshavgde/lambdaui/index.html"} "joshavg.de"]]]]]))

(defn ui-routes [wanijo formulare wedder joshavgde]
  (let [wanijo-app (lambdaui/ui-for wanijo :contextPath "/wanijo")
        formulare-app (lambdaui/ui-for formulare :contextPath "/formulare")
        wedder-app (lambdaui/ui-for wedder :contextPath "/wedder")
        joshavgde-app (lambdaui/ui-for joshavgde :contextPath "/joshavgde")]
    (routes
     (GET "/" [] (ui-selection))
     (context "/wanijo" [] wanijo-app)
     (context "/formulare" [] formulare-app)
     (context "/wedder" [] wedder-app)
     (context "/joshavgde" [] joshavgde-app))))
